import { signRequestBINANCE } from './functions/binance';
import { signRequestBYBIT } from './functions/bybit';
import { signRequestCOINBASE } from './functions/coinbase';
import { signRequestCRYPTOCOM } from './functions/cryptocom';
import { signRequestKUCOIN } from './functions/kucoin';
import { signRequestOKX } from './functions/okx';
export declare const signRequest: {
    OKX: typeof signRequestOKX;
    BINANCE: typeof signRequestBINANCE;
    BYBIT: typeof signRequestBYBIT;
    COINBASE: typeof signRequestCOINBASE;
    CRYPTOCOM: typeof signRequestCRYPTOCOM;
    KUCOIN: typeof signRequestKUCOIN;
};
export { signRequestBINANCE } from './functions/binance';
export { signRequestBYBIT } from './functions/bybit';
export { signRequestCOINBASE } from './functions/coinbase';
export { signRequestCRYPTOCOM } from './functions/cryptocom';
export { signRequestKUCOIN } from './functions/kucoin';
export { signRequestOKX } from './functions/okx';
