"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.signRequestOKX = exports.signRequestKUCOIN = exports.signRequestCRYPTOCOM = exports.signRequestCOINBASE = exports.signRequestBYBIT = exports.signRequestBINANCE = exports.signRequest = void 0;
const binance_1 = require("./functions/binance");
const bybit_1 = require("./functions/bybit");
const coinbase_1 = require("./functions/coinbase");
const cryptocom_1 = require("./functions/cryptocom");
const kucoin_1 = require("./functions/kucoin");
const okx_1 = require("./functions/okx");
exports.signRequest = {
    OKX: okx_1.signRequestOKX,
    BINANCE: binance_1.signRequestBINANCE,
    BYBIT: bybit_1.signRequestBYBIT,
    COINBASE: coinbase_1.signRequestCOINBASE,
    CRYPTOCOM: cryptocom_1.signRequestCRYPTOCOM,
    KUCOIN: kucoin_1.signRequestKUCOIN,
};
var binance_2 = require("./functions/binance");
Object.defineProperty(exports, "signRequestBINANCE", { enumerable: true, get: function () { return binance_2.signRequestBINANCE; } });
var bybit_2 = require("./functions/bybit");
Object.defineProperty(exports, "signRequestBYBIT", { enumerable: true, get: function () { return bybit_2.signRequestBYBIT; } });
var coinbase_2 = require("./functions/coinbase");
Object.defineProperty(exports, "signRequestCOINBASE", { enumerable: true, get: function () { return coinbase_2.signRequestCOINBASE; } });
var cryptocom_2 = require("./functions/cryptocom");
Object.defineProperty(exports, "signRequestCRYPTOCOM", { enumerable: true, get: function () { return cryptocom_2.signRequestCRYPTOCOM; } });
var kucoin_2 = require("./functions/kucoin");
Object.defineProperty(exports, "signRequestKUCOIN", { enumerable: true, get: function () { return kucoin_2.signRequestKUCOIN; } });
var okx_2 = require("./functions/okx");
Object.defineProperty(exports, "signRequestOKX", { enumerable: true, get: function () { return okx_2.signRequestOKX; } });
